Package com.databricks.jdbc.api.impl

## Class DatabricksMap<K,​V>

- java.lang.Object
- - com.databricks.jdbc.api.impl.DatabricksMap<K,​V>

All Implemented Interfaces:
  `Map<K,​V>`

    public class DatabricksMap<K,​V>
    extends Object
    implements Map<K,​V>

Class for representation of Map complex object.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`DatabricksMap​(Map<K,​V> map, String metadata)` Constructs a DatabricksMap with the specified map and metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey​(Object key)`
`boolean` `containsValue​(Object value)`
`Set<Map.Entry<K,​V>>` `entrySet()`
`V` `get​(Object key)`
`boolean` `isEmpty()`
`Set<K>` `keySet()`
`V` `put​(K key, V value)`
`void` `putAll​(Map<? extends K,​? extends V> m)`
`V` `remove​(Object key)`
`int` `size()`
`String` `toString()`
`Collection<V>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### DatabricksMap

    public DatabricksMap​(Map<K,​V> map,
                         String metadata)

Constructs a DatabricksMap with the specified map and metadata.

Parameters:
  `map` - the original map to be converted
  `metadata` - the metadata for type conversion

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Map<K,​V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,​V>`

#### containsKey

    public boolean containsKey​(Object key)

Specified by:
  `containsKey` in interface `Map<K,​V>`

#### containsValue

    public boolean containsValue​(Object value)

Specified by:
  `containsValue` in interface `Map<K,​V>`

#### get

    public V get​(Object key)

Specified by:
  `get` in interface `Map<K,​V>`

#### put

    public V put​(K key,
                 V value)

Specified by:
  `put` in interface `Map<K,​V>`

#### remove

    public V remove​(Object key)

Specified by:
  `remove` in interface `Map<K,​V>`

#### putAll

    public void putAll​(Map<? extends K,​? extends V> m)

Specified by:
  `putAll` in interface `Map<K,​V>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<K,​V>`

#### keySet

    public Set<K> keySet()

Specified by:
  `keySet` in interface `Map<K,​V>`

#### values

    public Collection<V> values()

Specified by:
  `values` in interface `Map<K,​V>`

#### entrySet

    public Set<Map.Entry<K,​V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,​V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`